Subject: FW: Invitation to Consultation Meeting on WHO European Innovation Strategy
From: "SHAPOVAL, Nataliia" <[email-masked]>
To: Helen Sõber
Cc: "Agne Nettan-Sepp", <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>,KÖHLER, Kristina <[email-masked]>
Date: Tue, 18 Mar 2025 18:19:02 +0200

Tähelepanu! Tegemist on välisvõrgust saabunud kirjaga.
Tundmatu saatja korral palume linke ja faile mitte avada.
Tähelepanu! Tegemist on välisvõrgust saabunud kirjaga.
Tundmatu saatja korral palume linke ja faile mitte avada.	Dear Ms
Sõber,
 
I am kindly following up on the request for nomination to attend the
virtual meeting on the strategy. 
 
Best regards,
 
Nataliia Shapoval
 
From: SHAPOVAL, Nataliia 
Sent: Monday, March 3, 2025 2:12 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]; KÖHLER, Kristina
&lt;[email-masked]&gt;
Subject: Invitation to Consultation Meeting on WHO European Innovation
Strategy
 
Dear Ms Sõber,
 
I hope this message finds you well.
 
I am writing to invite your country to participate in an upcoming
consultation meeting regarding the WHO European Innovation Strategy.
Please find attached two important documents for your reference: the Scope
and Purpose document and the Nomination Letter.
 
If you have any questions or require further information, please do not
hesitate to contact us.
 
Best regards,
 
Nataliia Shapoval
Special Initiative on NCDs and Innovation
World Health Organization 
Regional Office for Europe
Tel.: &#43;45 91 87 71 52
Email: [email-masked]
Web: www.euro.who.int